? assert.patch
? msg-loc.patch
? pspp-0.4.2.tar.gz
? doc/.dirstamp
? gl/Makefile
? gl/Makefile.am
? gl/Makefile.in
? gl/alloca.c
? gl/alloca.h
? gl/alloca_.h
? gl/asnprintf.c
? gl/asprintf.c
? gl/c-ctype.c
? gl/c-ctype.h
? gl/c-strtod.c
? gl/c-strtod.h
? gl/charset.alias
? gl/config.charset
? gl/error.c
? gl/error.h
? gl/exit.h
? gl/exitfail.c
? gl/exitfail.h
? gl/full-read.c
? gl/full-read.h
? gl/full-write.c
? gl/full-write.h
? gl/getdelim.c
? gl/getdelim.h
? gl/gethostname.c
? gl/getline.c
? gl/getline.h
? gl/getlogin_r.c
? gl/getlogin_r.h
? gl/getopt.c
? gl/getopt1.c
? gl/getopt_.h
? gl/getopt_int.h
? gl/gettext.h
? gl/intprops.h
? gl/lbrkprop.h
? gl/linebreak.c
? gl/linebreak.h
? gl/localcharset.c
? gl/localcharset.h
? gl/mbchar.c
? gl/mbchar.h
? gl/mbuiter.h
? gl/memcasecmp.c
? gl/memcasecmp.h
? gl/memchr.c
? gl/memcmp.c
? gl/memmem.c
? gl/memmem.h
? gl/memmove.c
? gl/memset.c
? gl/minmax.h
? gl/printf-args.c
? gl/printf-args.h
? gl/printf-parse.c
? gl/printf-parse.h
? gl/progname.c
? gl/progname.h
? gl/readlink.c
? gl/ref-add.sed
? gl/ref-add.sin
? gl/ref-del.sed
? gl/ref-del.sin
? gl/safe-read.c
? gl/safe-read.h
? gl/safe-write.c
? gl/safe-write.h
? gl/size_max.h
? gl/snprintf.c
? gl/snprintf.h
? gl/stat-macros.h
? gl/stdbool_.h
? gl/stdint_.h
? gl/stpcpy.c
? gl/stpcpy.h
? gl/strcase.h
? gl/strcasecmp.c
? gl/strcspn.c
? gl/strerror.c
? gl/strftime.c
? gl/strftime.h
? gl/strncasecmp.c
? gl/strndup.c
? gl/strndup.h
? gl/strnlen.c
? gl/strnlen.h
? gl/strnlen1.c
? gl/strnlen1.h
? gl/strpbrk.c
? gl/strpbrk.h
? gl/strsep.c
? gl/strsep.h
? gl/strstr.c
? gl/strstr.h
? gl/strtod.c
? gl/strtok_r.c
? gl/strtok_r.h
? gl/strtol.c
? gl/strtoul.c
? gl/time_r.c
? gl/time_r.h
? gl/utf16-ucs4.h
? gl/utf8-ucs4.h
? gl/vasnprintf.c
? gl/vasnprintf.h
? gl/vasprintf.c
? gl/vasprintf.h
? gl/vsnprintf.c
? gl/vsnprintf.h
? gl/xalloc-die.c
? gl/xalloc.h
? gl/xasprintf.c
? gl/xmalloc.c
? gl/xreadlink.c
? gl/xreadlink.h
? gl/xsize.h
? gl/xstrndup.c
? gl/xstrndup.h
? gl/xvasprintf.c
? gl/xvasprintf.h
? gl/m4/alloca.m4
? gl/m4/assert.m4
? gl/m4/c-strtod.m4
? gl/m4/codeset.m4
? gl/m4/eoverflow.m4
? gl/m4/error.m4
? gl/m4/exitfail.m4
? gl/m4/extensions.m4
? gl/m4/getdelim.m4
? gl/m4/gethostname.m4
? gl/m4/getline.m4
? gl/m4/getlogin_r.m4
? gl/m4/getopt.m4
? gl/m4/gettext.m4
? gl/m4/glibc2.m4
? gl/m4/glibc21.m4
? gl/m4/gnulib-cache.m4
? gl/m4/gnulib-comp.m4
? gl/m4/gnulib-tool.m4
? gl/m4/iconv.m4
? gl/m4/intdiv0.m4
? gl/m4/intmax.m4
? gl/m4/intmax_t.m4
? gl/m4/inttypes-pri.m4
? gl/m4/inttypes.m4
? gl/m4/inttypes_h.m4
? gl/m4/isc-posix.m4
? gl/m4/lcmessage.m4
? gl/m4/lib-ld.m4
? gl/m4/lib-link.m4
? gl/m4/lib-prefix.m4
? gl/m4/linebreak.m4
? gl/m4/localcharset.m4
? gl/m4/longdouble.m4
? gl/m4/longlong.m4
? gl/m4/mbchar.m4
? gl/m4/mbiter.m4
? gl/m4/mbrtowc.m4
? gl/m4/mbstate_t.m4
? gl/m4/memcasecmp.m4
? gl/m4/memchr.m4
? gl/m4/memcmp.m4
? gl/m4/memmem.m4
? gl/m4/memmove.m4
? gl/m4/memset.m4
? gl/m4/minmax.m4
? gl/m4/nls.m4
? gl/m4/onceonly_2_57.m4
? gl/m4/po.m4
? gl/m4/printf-posix.m4
? gl/m4/progtest.m4
? gl/m4/readlink.m4
? gl/m4/restrict.m4
? gl/m4/safe-read.m4
? gl/m4/safe-write.m4
? gl/m4/signed.m4
? gl/m4/size_max.m4
? gl/m4/snprintf.m4
? gl/m4/ssize_t.m4
? gl/m4/stat-macros.m4
? gl/m4/stdarg.m4
? gl/m4/stdbool.m4
? gl/m4/stdint.m4
? gl/m4/stdint_h.m4
? gl/m4/stpcpy.m4
? gl/m4/strcase.m4
? gl/m4/strcspn.m4
? gl/m4/strerror.m4
? gl/m4/strerror_r.m4
? gl/m4/strftime.m4
? gl/m4/strndup.m4
? gl/m4/strnlen.m4
? gl/m4/strpbrk.m4
? gl/m4/strsep.m4
? gl/m4/strstr.m4
? gl/m4/strtod.m4
? gl/m4/strtok_r.m4
? gl/m4/strtol.m4
? gl/m4/strtoul.m4
? gl/m4/time_r.m4
? gl/m4/tm_gmtoff.m4
? gl/m4/uintmax_t.m4
? gl/m4/ulonglong.m4
? gl/m4/unistd_h.m4
? gl/m4/utf-ucs4.m4
? gl/m4/vasnprintf.m4
? gl/m4/vasprintf.m4
? gl/m4/vsnprintf.m4
? gl/m4/wchar_t.m4
? gl/m4/wint_t.m4
? gl/m4/xalloc.m4
? gl/m4/xreadlink.m4
? gl/m4/xsize.m4
? gl/m4/xstrndup.m4
? gl/m4/xvasprintf.m4
? intl/ChangeLog
? intl/Makefile
? intl/Makefile.in
? intl/VERSION
? intl/bindtextdom.c
? intl/config.charset
? intl/dcgettext.c
? intl/dcigettext.c
? intl/dcngettext.c
? intl/dgettext.c
? intl/dngettext.c
? intl/eval-plural.h
? intl/explodename.c
? intl/finddomain.c
? intl/gettext.c
? intl/gettextP.h
? intl/gmo.h
? intl/hash-string.h
? intl/intl-compat.c
? intl/l10nflist.c
? intl/langprefs.c
? intl/libgnuintl.h.in
? intl/loadinfo.h
? intl/loadmsgcat.c
? intl/localcharset.c
? intl/localcharset.h
? intl/locale.alias
? intl/localealias.c
? intl/localename.c
? intl/log.c
? intl/ngettext.c
? intl/os2compat.c
? intl/os2compat.h
? intl/osdep.c
? intl/plural-exp.c
? intl/plural-exp.h
? intl/plural.c
? intl/plural.y
? intl/printf-args.c
? intl/printf-args.h
? intl/printf-parse.c
? intl/printf-parse.h
? intl/printf.c
? intl/ref-add.sin
? intl/ref-del.sin
? intl/relocatable.c
? intl/relocatable.h
? intl/textdomain.c
? intl/vasnprintf.c
? intl/vasnprintf.h
? intl/vasnwprintf.h
? intl/wprintf-parse.h
? intl/xsize.h
? lib/gsl-extras/.deps
? lib/gsl-extras/.dirstamp
? lib/gtksheet/.deps
? lib/gtksheet/.dirstamp
? lib/linreg/.deps
? lib/linreg/.dirstamp
? m4/Makefile.am
? m4/codeset.m4
? m4/gettext.m4
? m4/glibc2.m4
? m4/glibc21.m4
? m4/iconv.m4
? m4/intdiv0.m4
? m4/intmax.m4
? m4/inttypes-pri.m4
? m4/inttypes.m4
? m4/inttypes_h.m4
? m4/isc-posix.m4
? m4/lcmessage.m4
? m4/lib-ld.m4
? m4/lib-link.m4
? m4/lib-prefix.m4
? m4/longdouble.m4
? m4/longlong.m4
? m4/nls.m4
? m4/po.m4
? m4/printf-posix.m4
? m4/progtest.m4
? m4/signed.m4
? m4/size_max.m4
? m4/stdint_h.m4
? m4/uintmax_t.m4
? m4/ulonglong.m4
? m4/wchar_t.m4
? m4/wint_t.m4
? m4/xsize.m4
? src/data/.deps
? src/data/.dirstamp
? src/language/.deps
? src/language/.dirstamp
? src/language/control/.deps
? src/language/control/.dirstamp
? src/language/data-io/.deps
? src/language/data-io/.dirstamp
? src/language/data-io/file-handle.c
? src/language/data-io/list.c
? src/language/dictionary/.deps
? src/language/dictionary/.dirstamp
? src/language/expressions/.deps
? src/language/expressions/.dirstamp
? src/language/lexer/.deps
? src/language/lexer/.dirstamp
? src/language/lexer/q2c
? src/language/stats/.deps
? src/language/stats/.dirstamp
? src/language/stats/correlations.c
? src/language/stats/crosstabs.c
? src/language/stats/examine.c
? src/language/stats/frequencies.c
? src/language/stats/means.c
? src/language/stats/oneway.c
? src/language/stats/rank.c
? src/language/stats/regression.c
? src/language/stats/t-test.c
? src/language/tests/.deps
? src/language/tests/.dirstamp
? src/language/utilities/.deps
? src/language/utilities/.dirstamp
? src/language/utilities/set.c
? src/language/xforms/.deps
? src/language/xforms/.dirstamp
? src/libpspp/.deps
? src/libpspp/.dirstamp
? src/libpspp/version.c
? src/math/.deps
? src/math/.dirstamp
? src/math/linreg/.deps
? src/math/linreg/.dirstamp
? src/math/ts/.deps
? src/math/ts/.dirstamp
? src/output/.deps
? src/output/.dirstamp
? src/output/charts/.deps
? src/output/charts/.dirstamp
? src/ui/gui/.deps
? src/ui/gui/.dirstamp
? src/ui/gui/psppire
? src/ui/terminal/.deps
? src/ui/terminal/.dirstamp
? src/ui/terminal/pspp
? tests/libpspp/.deps
? tests/libpspp/.dirstamp
? tests/libpspp/ll-test
? tests/libpspp/llx-test
Index: src/data/any-reader.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/any-reader.c,v
retrieving revision 1.5
diff -U3 -r1.5 any-reader.c
--- src/data/any-reader.c	17 Apr 2006 01:54:15 -0000	1.5
+++ src/data/any-reader.c	4 Jul 2006 06:05:04 -0000
@@ -19,7 +19,7 @@
 
 #include <config.h>
 #include "any-reader.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <errno.h>
 #include <stdbool.h>
 #include <stdio.h>
@@ -139,7 +139,7 @@
       return make_any_reader (SCRATCH_FILE,
                               scratch_reader_open (handle, dict));
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Reads a single case from READER into C.
@@ -158,7 +158,7 @@
     case SCRATCH_FILE:
       return scratch_reader_read_case (reader->private, c);
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Returns true if an I/O error has occurred on READER, false
@@ -177,7 +177,7 @@
     case SCRATCH_FILE:
       return scratch_reader_error (reader->private);
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Closes READER. */
@@ -202,7 +202,7 @@
       break;
 
     default:
-      abort ();
+      AssertNotReached ();
     }
 
   free (reader);
Index: src/data/any-writer.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/any-writer.c,v
retrieving revision 1.5
diff -U3 -r1.5 any-writer.c
--- src/data/any-writer.c	17 Apr 2006 01:54:15 -0000	1.5
+++ src/data/any-writer.c	4 Jul 2006 06:05:04 -0000
@@ -19,7 +19,7 @@
 
 #include <config.h>
 #include "any-writer.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <errno.h>
 #include <stdbool.h>
 #include <stdio.h>
@@ -85,7 +85,7 @@
                                                                   dict));
     }
 
-  abort ();
+  AssertNotReached ();
 }
 
 /* If PRIVATE is non-null, creates and returns a new any_writer,
@@ -162,7 +162,7 @@
     case SCRATCH_FILE:
       return scratch_writer_write_case (writer->private, c);
     }
-  abort ();
+  AssertNotReached ();
 }
 
 /* Returns true if an I/O error has occurred on WRITER, false
@@ -181,7 +181,7 @@
     case SCRATCH_FILE:
       return scratch_writer_error (writer->private);
     }
-  abort ();
+    AssertNotReached ();
 }
 
 /* Closes WRITER.
@@ -209,7 +209,7 @@
       break;
       
     default:
-      abort ();
+      AssertNotReached ();
     }
 
   free (writer);
Index: src/data/calendar.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/calendar.c,v
retrieving revision 1.1
diff -U3 -r1.1 calendar.c
--- src/data/calendar.c	4 Mar 2006 01:11:57 -0000	1.1
+++ src/data/calendar.c	4 Jul 2006 06:05:04 -0000
@@ -1,6 +1,6 @@
 #include <config.h>
 #include "calendar.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <stdbool.h>
 #include "settings.h"
 #include "value.h"
@@ -15,7 +15,7 @@
 static int
 floor_div (int a, int b) 
 {
-  assert (b > 0);
+  Assert (b > 0);
   return (a >= 0 ? a : a - b + 1) / b;
 }
 
@@ -123,7 +123,7 @@
       31 + 28 + 31 + 30 + 31 + 30 + 31 + 31 + 30 + 31 + 30, /* Nov */
     };
 
-  assert (month >= 1 && month <= 12);
+  Assert (month >= 1 && month <= 12);
   return cum_month_days[month - 1] + (month >= 3 && is_leap_year (year));
 }
 
Index: src/data/case.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/case.c,v
retrieving revision 1.4
diff -U3 -r1.4 case.c
--- src/data/case.c	7 May 2006 05:44:18 -0000	1.4
+++ src/data/case.c	4 Jul 2006 06:05:04 -0000
@@ -26,14 +26,7 @@
 #include <libpspp/str.h>
 #include "variable.h"
 
-#ifdef DEBUGGING
-#undef NDEBUG
-#else
-#ifndef NDEBUG
-#define NDEBUG
-#endif
-#endif
-#include <assert.h>
+#include <libpspp/Assert.h>
 
 /* Changes C not to share data with any other case.
    C must be a case with a reference count greater than 1.
@@ -45,10 +38,12 @@
 {
   struct case_data *cd;
   
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 1);
+  Assert (c != NULL);
+#ifdef DEBUGGING
+  Assert (c->this == c);
+#endif
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 1);
 
   cd = c->case_data;
   cd->ref_cnt--;
@@ -100,11 +95,11 @@
 void
 case_clone (struct ccase *clone, const struct ccase *orig)
 {
-  assert (orig != NULL);
-  assert (orig->this == orig);
-  assert (orig->case_data != NULL);
-  assert (orig->case_data->ref_cnt > 0);
-  assert (clone != NULL);
+  Assert (orig != NULL);
+  Assert (orig->this == orig);
+  Assert (orig->case_data != NULL);
+  Assert (orig->case_data->ref_cnt > 0);
+  Assert (clone != NULL);
 
   if (clone != orig) 
     {
@@ -121,11 +116,11 @@
 void
 case_move (struct ccase *dst, struct ccase *src) 
 {
-  assert (src != NULL);
-  assert (src->this == src);
-  assert (src->case_data != NULL);
-  assert (src->case_data->ref_cnt > 0);
-  assert (dst != NULL);
+  Assert (src != NULL);
+  Assert (src->this == src);
+  Assert (src->case_data != NULL);
+  Assert (src->case_data->ref_cnt > 0);
+  Assert (dst != NULL);
   
   if (dst != src) 
     {
@@ -143,8 +138,8 @@
 {
   struct case_data *cd;
   
-  assert (c != NULL);
-  assert (c->this == c);
+  Assert (c != NULL);
+  Assert (c->this == c);
 
   cd = c->case_data;
   if (cd != NULL && --cd->ref_cnt == 0) 
@@ -215,17 +210,17 @@
            const struct ccase *src, size_t src_idx,
            size_t value_cnt)
 {
-  assert (dst != NULL);
-  assert (dst->this == dst);
-  assert (dst->case_data != NULL);
-  assert (dst->case_data->ref_cnt > 0);
-  assert (dst_idx + value_cnt <= dst->case_data->value_cnt);
-
-  assert (src != NULL);
-  assert (src->this == src);
-  assert (src->case_data != NULL);
-  assert (src->case_data->ref_cnt > 0);
-  assert (src_idx + value_cnt <= dst->case_data->value_cnt);
+  Assert (dst != NULL);
+  Assert (dst->this == dst);
+  Assert (dst->case_data != NULL);
+  Assert (dst->case_data->ref_cnt > 0);
+  Assert (dst_idx + value_cnt <= dst->case_data->value_cnt);
+
+  Assert (src != NULL);
+  Assert (src->this == src);
+  Assert (src->case_data != NULL);
+  Assert (src->case_data->ref_cnt > 0);
+  Assert (src_idx + value_cnt <= dst->case_data->value_cnt);
 
   if (dst->case_data != src->case_data || dst_idx != src_idx) 
     {
@@ -246,12 +241,12 @@
 case_to_values (const struct ccase *c, union value *output,
                 size_t output_size UNUSED) 
 {
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 0);
-  assert (output_size == c->case_data->value_cnt);
-  assert (output != NULL || output_size == 0);
+  Assert (c != NULL);
+  Assert (c->this == c);
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 0);
+  Assert (output_size == c->case_data->value_cnt);
+  Assert (output != NULL || output_size == 0);
 
   memcpy (output, c->case_data->values,
           c->case_data->value_cnt * sizeof *output);
@@ -266,12 +261,12 @@
 case_from_values (struct ccase *c, const union value *input,
                   size_t input_size UNUSED) 
 {
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 0);
-  assert (input_size == c->case_data->value_cnt);
-  assert (input != NULL || input_size == 0);
+  Assert (c != NULL);
+  Assert (c->this == c);
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 0);
+  Assert (input_size == c->case_data->value_cnt);
+  Assert (input != NULL || input_size == 0);
 
   if (c->case_data->ref_cnt > 1)
     case_unshare (c);
@@ -287,11 +282,11 @@
 const union value *
 case_data (const struct ccase *c, size_t idx) 
 {
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 0);
-  assert (idx < c->case_data->value_cnt);
+  Assert (c != NULL);
+  Assert (c->this == c);
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 0);
+  Assert (idx < c->case_data->value_cnt);
 
   return &c->case_data->values[idx];
 }
@@ -303,11 +298,11 @@
 double
 case_num (const struct ccase *c, size_t idx) 
 {
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 0);
-  assert (idx < c->case_data->value_cnt);
+  Assert (c != NULL);
+  Assert (c->this == c);
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 0);
+  Assert (idx < c->case_data->value_cnt);
 
   return c->case_data->values[idx].f;
 }
@@ -321,11 +316,11 @@
 const char *
 case_str (const struct ccase *c, size_t idx) 
 {
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 0);
-  assert (idx < c->case_data->value_cnt);
+  Assert (c != NULL);
+  Assert (c->this == c);
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 0);
+  Assert (idx < c->case_data->value_cnt);
 
   return c->case_data->values[idx].s;
 }
@@ -338,11 +333,11 @@
 union value *
 case_data_rw (struct ccase *c, size_t idx) 
 {
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 0);
-  assert (idx < c->case_data->value_cnt);
+  Assert (c != NULL);
+  Assert (c->this == c);
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 0);
+  Assert (idx < c->case_data->value_cnt);
 
   if (c->case_data->ref_cnt > 1)
     case_unshare (c);
@@ -372,8 +367,8 @@
       const struct variable *va = *vap;
       const struct variable *vb = *vbp;
 
-      assert (va->type == vb->type);
-      assert (va->width == vb->width);
+      Assert (va->type == vb->type);
+      Assert (va->width == vb->width);
       
       if (va->width == 0) 
         {
@@ -404,10 +399,12 @@
 const union value *
 case_data_all (const struct ccase *c) 
 {
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 0);
+  Assert (c != NULL);
+#ifdef DEBUGGING
+  Assert (c->this == c);
+#endif
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 0);
 
   return c->case_data->values;
 }
@@ -420,10 +417,12 @@
 union value *
 case_data_all_rw (struct ccase *c) 
 {
-  assert (c != NULL);
-  assert (c->this == c);
-  assert (c->case_data != NULL);
-  assert (c->case_data->ref_cnt > 0);
+  Assert (c != NULL);
+#ifdef DEBUGGING
+  Assert (c->this == c);
+#endif
+  Assert (c->case_data != NULL);
+  Assert (c->case_data->ref_cnt > 0);
 
   if (c->case_data->ref_cnt > 1)
     case_unshare (c);
Index: src/data/casefile.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/casefile.c,v
retrieving revision 1.12
diff -U3 -r1.12 casefile.c
--- src/data/casefile.c	19 Jun 2006 10:16:51 -0000	1.12
+++ src/data/casefile.c	4 Jul 2006 06:05:04 -0000
@@ -19,7 +19,7 @@
 
 #include <config.h>
 #include "casefile.h"
-#include <assert.h>
+#include <libpspp/Assert.h>
 #include <errno.h>
 #include <fcntl.h>
 #include <stdio.h>
@@ -287,7 +287,7 @@
 bool
 casefile_in_core (const struct casefile *cf) 
 {
-  assert (cf != NULL);
+  Assert (cf != NULL);
 
   return cf->storage == MEMORY;
 }
@@ -308,7 +308,7 @@
 casefile_sleep (const struct casefile *cf_) 
 {
   struct casefile *cf = (struct casefile *) cf_;
-  assert (cf != NULL);
+  Assert (cf != NULL);
 
   casefile_mode_reader (cf);
   casefile_to_disk (cf);
@@ -332,7 +332,7 @@
 size_t
 casefile_get_value_cnt (const struct casefile *cf) 
 {
-  assert (cf != NULL);
+  Assert (cf != NULL);
 
   return cf->value_cnt;
 }
@@ -341,7 +341,7 @@
 unsigned long
 casefile_get_case_cnt (const struct casefile *cf) 
 {
-  assert (cf != NULL);
+  Assert (cf != NULL);
 
   return cf->case_cnt;
 }
@@ -352,9 +352,9 @@
 bool
 casefile_append (struct casefile *cf, const struct ccase *c) 
 {
-  assert (cf != NULL);
-  assert (c != NULL);
-  assert (cf->mode == WRITE);
+  Assert (cf != NULL);
+  Assert (c != NULL);
+  Assert (cf->mode == WRITE);
 
   /* Try memory first. */
   if (cf->storage == MEMORY) 
@@ -385,7 +385,7 @@
       else
         {
           casefile_to_disk (cf);
-          assert (cf->storage == DISK);
+          Assert (cf->storage == DISK);
           write_case_to_disk (cf, c);
         }
     }
@@ -446,15 +446,15 @@
   struct casefile *cf = (struct casefile *) cf_;
   struct casereader *reader;
   
-  assert (cf != NULL);
+  Assert (cf != NULL);
 
   if (cf->storage == MEMORY)
     {
       size_t idx, block_cnt;
       
-      assert (cf->file_name == NULL);
-      assert (cf->fd == -1);
-      assert (cf->buffer_used == 0);
+      Assert (cf->file_name == NULL);
+      Assert (cf->fd == -1);
+      Assert (cf->buffer_used == 0);
 
       if (!make_temp_file (&cf->fd, &cf->file_name))
         {
@@ -497,7 +497,7 @@
 void
 casefile_mode_reader (struct casefile *cf) 
 {
-  assert (cf != NULL);
+  Assert (cf != NULL);
   cf->mode = READ;
 }
 
@@ -509,8 +509,8 @@
   struct casefile *cf = (struct casefile *) cf_;
   struct casereader *reader;
 
-  assert (cf != NULL);
-  assert (!cf->being_destroyed);
+  Assert (cf != NULL);
+  Assert (!cf->being_destroyed);
 
   /* Flush the buffer to disk if it's not empty. */
   if (cf->mode == WRITE && cf->storage == DISK)
@@ -567,7 +567,7 @@
 {
   struct casereader *reader;
   
-  assert (cf->readers == NULL);
+  Assert (cf->readers == NULL);
   reader = casefile_get_reader (cf);
   reader->destructive = 1;
   cf->being_destroyed = 1;
@@ -674,7 +674,7 @@
 const struct casefile *
 casereader_get_casefile (const struct casereader *reader) 
 {
-  assert (reader != NULL);
+  Assert (reader != NULL);
   
   return reader->cf;
 }
@@ -685,7 +685,7 @@
 bool
 casereader_read (struct casereader *reader, struct ccase *c) 
 {
-  assert (reader != NULL);
+  Assert (reader != NULL);
   
   if (!reader->cf->ok || reader->case_idx >= reader->cf->case_cnt) 
     return false;
@@ -725,7 +725,7 @@
 bool
 casereader_read_xfer (struct casereader *reader, struct ccase *c)
 {
-  assert (reader != NULL);
+  Assert (reader != NULL);
 
   if (reader->destructive == 0
       || reader->case_idx >= reader->cf->case_cnt
@@ -749,9 +749,9 @@
 void
 casereader_seek (struct casereader *reader, unsigned long case_idx) 
 {
-  assert (reader != NULL);
-  assert (reader->random);
-  assert (case_idx < reader->cf->case_cnt);
+  Assert (reader != NULL);
+  Assert (reader->random);
+  Assert (case_idx < reader->cf->case_cnt);
 
   reader->case_idx = case_idx;
   if (reader->cf->storage == DISK)
@@ -762,7 +762,7 @@
 void
 casereader_destroy (struct casereader *reader)
 {
-  assert (reader != NULL);
+  Assert (reader != NULL);
 
   if (reader->next != NULL)
     reader->next->prev = reader->prev;
Index: src/data/category.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/category.c,v
retrieving revision 1.3
diff -U3 -r1.3 category.c
--- src/data/category.c	25 Mar 2006 22:46:21 -0000	1.3
+++ src/data/category.c	4 Jul 2006 06:05:04 -0000
@@ -32,6 +32,8 @@
   'cat_var'.
 */
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include <stdlib.h>
 #include <libpspp/alloc.h>
 #include <libpspp/message.h>
@@ -58,7 +60,7 @@
 void
 cat_stored_values_destroy (struct variable *v)
 {
-  assert (v != NULL);
+  Assert (v != NULL);
 
   if (v->obs_vals != NULL)
     {
@@ -81,13 +83,13 @@
   size_t i;
   const union value *candidate;
 
-  assert (val != NULL);
-  assert (v != NULL);
-  assert (v->obs_vals != NULL);
+  Assert (val != NULL);
+  Assert (v != NULL);
+  Assert (v->obs_vals != NULL);
   for (i = 0; i < v->obs_vals->n_categories; i++)
     {
       candidate = v->obs_vals->vals + i;
-      assert (candidate != NULL);
+      Assert (candidate != NULL);
       if (!compare_values (candidate, val, v->width))
 	{
 	  return i;
@@ -106,8 +108,8 @@
 
   if (v->type == ALPHA)
     {
-      assert (val != NULL);
-      assert (v != NULL);
+      Assert (val != NULL);
+      Assert (v != NULL);
       cv = v->obs_vals;
       if (cat_value_find (v, val) == CAT_VALUE_NOT_FOUND)
 	{
@@ -127,7 +129,7 @@
 union value *
 cat_subscript_to_value (const size_t s, struct variable *v)
 {
-  assert (v->obs_vals != NULL);
+  Assert (v->obs_vals != NULL);
   if (s < v->obs_vals->n_categories)
     {
       return (v->obs_vals->vals + s);
Index: src/data/data-in.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/data-in.c,v
retrieving revision 1.12
diff -U3 -r1.12 data-in.c
--- src/data/data-in.c	4 Jul 2006 04:39:04 -0000	1.12
+++ src/data/data-in.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include "data-in.h"
 #include <libpspp/message.h>
 #include <math.h>
@@ -279,7 +281,7 @@
   const char s[] = "0123456789abcdef";
   const char *cp = strchr (s, tolower ((unsigned char) c));
 
-  assert (cp != NULL);
+  Assert (cp != NULL);
   return cp - s;
 }
 
@@ -1355,7 +1357,7 @@
 {
   const struct fmt_desc *const fmt = &formats[i->format.type];
 
-  assert (check_input_specifier (&i->format, 0));
+  Assert (check_input_specifier (&i->format, 0));
 
   /* Check that we've got a string to work with. */
   if (i->e == i->s || i->format.w <= 0)
@@ -1411,7 +1413,7 @@
     bool success;
 
     handler = handlers[i->format.type];
-    assert (handler != NULL);
+    Assert (handler != NULL);
 
     success = handler (i);
     if (!success)
Index: src/data/data-out.c
===================================================================
RCS file: /sources/pspp/pspp/src/data/data-out.c,v
retrieving revision 1.5
diff -U3 -r1.5 data-out.c
--- src/data/data-out.c	7 May 2006 02:18:32 -0000	1.5
+++ src/data/data-out.c	4 Jul 2006 06:05:05 -0000
@@ -18,6 +18,8 @@
    02110-1301, USA. */
 
 #include <config.h>
+#include <libpspp/Assert.h>
+
 #include <libpspp/message.h>
 #include <ctype.h>
 #include <math.h>
@@ -60,7 +62,7 @@
   int cat = formats[fp->type].cat;
   int ok;
 
-  assert (check_output_specifier (fp, 0));
+  Assert (check_output_specifier (fp, 0));
   if (!(cat & FCAT_STRING)) 
     {
       /* Numeric formatting. */
@@ -101,12 +103,10 @@
           break;
 
         case FMT_A:
-          assert (0);
-          abort ();
+          AssertNotReached ();
 
         case FMT_AHEX:
-          assert (0);
-          abort ();
+          AssertNotReached ();
 
         case FMT_IB:
           ok = convert_IB (s, fp, number);
@@ -159,8 +159,7 @@
           break;
 
         default:
-          assert (0);
-          abort ();
+          AssertNotReached ();
         }
     }
   else 
@@ -179,8 +178,7 @@
           break;
 
         default:
-          assert (0);
-          abort ();
+          AssertNotReached ();
         }
     }
 
@@ -751,7 +749,7 @@
       }
       break;
     default:
-      assert (0);
+      AssertNotReached ();
     }
 
   if (buf[0] == 0)
@@ -1001,7 +999,7 @@
     while (*bp == ' ')
       bp++;
 
-    assert ((number >= 0) ^ (*bp == '-'));
+    Assert ((number >= 0) ^ (*bp == '-'));
     if (number < 0)
       bp++;
 
@@ -1013,7 +1011,7 @@
     cp = stpcpy (cp, cc->neg_suffix);
 
   /* Copy into dst. */
-  assert (cp - buf <= fp->w);
+  Assert (cp - buf <= fp->w);
   if (cp - buf < fp->w)
     {
       memcpy (&dst[fp->w - (cp - buf)], buf, cp - buf);
@@ -1034,7 +1032,7 @@
 static int
 try_F (char *dst, const struct fmt_spec *fp, double number)
 {
-  assert (fp->w <= 40);
+  Assert (fp->w <= 40);
   if (finite (number)) 
     {
       if (fabs (number) < power10[fp->w])
@@ -1114,7 +1112,7 @@
   
   char buf[128];
   
-  assert (decimals > fp->d);
+  Assert (decimals > fp->d);
   if (decimals > LDBL_DIG)
     decimals = LDBL_DIG + 1;
 
@@ -1192,7 +1190,7 @@
           else if (*cp == '9') 
             *cp = '0';
           else
-            assert (*cp == '.');
+            Assert (*cp == '.');
 
           if (cp == buf || *--cp == '-')
             {
@@ -1233,7 +1231,7 @@
 static int
 convert_infinite (char *dst, const struct fmt_spec *fp, double number)
 {
-  assert (!finite (number));
+  Assert (!finite (number));
   
   if (fp->w >= 3)
     {
